package com.ruoyi.finance.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.finance.domain.TFeeDo;

import java.util.List;


/**
 * 财务数据明细Service接口
 *
 * @author ruoyi
 * @date 2021-01-18
 */
public interface ITFeeDoService {
    /**
     * 查询财务数据明细
     *
     * @param fId 财务数据明细ID
     * @return 财务数据明细
     */
    public TFeeDo selectTFeeDoById(Long fId);

    /**
     * 查询财务数据明细列表
     *
     * @param tFeeDo 财务数据明细
     * @return 财务数据明细集合
     */
    public List<TFeeDo> selectTFeeDoList(TFeeDo tFeeDo);

    /**
     * 新增财务数据明细
     *
     * @param tFeeDo 财务数据明细
     * @return 结果
     */
    public int insertTFeeDo(TFeeDo tFeeDo);

    /**
     * 修改财务数据明细
     *
     * @param tFeeDo 财务数据明细
     * @return 结果
     */
    public int updateTFeeDo(TFeeDo tFeeDo);

    /**
     * 批量删除财务数据明细
     *
     * @param fIds 需要删除的财务数据明细ID
     * @return 结果
     */
    public int deleteTFeeDoByIds(Long[] fIds);

    /**
     * 删除财务数据明细信息
     *
     * @param fId 财务数据明细ID
     * @return 结果
     */
    public int deleteTFeeDoById(Long fId);

    public AjaxResult removeFeeDoById(Long fId);
}
